# pn_vrouterlbif – CLI command to add/remove vrouter-loopback-interface

- DEPRECATED
- Synopsis
- Parameters
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.12
Why: | Doesn’t support latest Pluribus Networks netvisor
Alternative: | Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute vrouter-loopback-interface-add, vrouter-loopback-interface-remove commands.
- Each fabric, cluster, standalone switch, or virtual network (VNET) can provide its tenants with a virtual router (vRouter) service that forwards traffic between networks and implements Layer 3 protocols.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_clipassword - |  | Provide login password if user is not root.
pn_cliswitch - | Default: "local" | Target switch(es) to run the cli on.
pn_cliusername - |  | Provide login username if user is not root.
pn_index - |  | Specify the interface index from 1 to 255.
pn_interface_ip - / required |  | Specify the IP address.
pn_vrouter_name - / required |  | Specify the name of the vRouter.

state
- / required

Choices:
- present
- absent

State the action to perform. Use 'present' to add vrouter loopback interface and 'absent' to remove vrouter loopback interface.

## Examples

    - name: add vrouter-loopback-interface
      pn_vrouterlbif:
        state: 'present'
        pn_vrouter_name: 'ansible-vrouter'
        pn_interface_ip: '104.104.104.1'

    - name: remove vrouter-loopback-interface
      pn_vrouterlbif:
        state: 'absent'
        pn_vrouter_name: 'ansible-vrouter'
        pn_interface_ip: '104.104.104.1'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Indicates whether the CLI caused changes on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the vrouterlb command.
stdout list | always | The set of responses from the vrouterlb command.

## Status

- This module will be removed in version 2.12. [deprecated]
- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.